Bug 62974 - [Chromium] New baselines needed for SVG tests
Summary: [Chromium] New baselines needed for SVG tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 59085 72459
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-20 03:13 PDT by Yuta Kitamura
Modified: 2012-04-06 12:14 PDT (History)
5 users (show)

See Also:


Attachments
Update of test expectations (1.04 MB, patch)
2012-04-06 08:34 PDT, Philip Rogers
no flags Details | Formatted Diff | Diff
Update to use chromium-linux instead of chromium-linux-x86 (1.04 MB, patch)
2012-04-06 11:59 PDT, Philip Rogers
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuta Kitamura 2011-06-20 03:13:29 PDT
Since r89233, the following tests started to fail. Seems like they just needs new baselines. Will look later.

 WIN LINUX : svg/W3C-SVG-1.1-SE/coords-units-03-b.svg = IMAGE+TEXT
 MAC : svg/W3C-SVG-1.1-SE/coords-units-03-b.svg = IMAGE
 WIN : svg/W3C-SVG-1.1-SE/types-dom-05-b.svg = IMAGE+TEXT
 WIN LINUX : svg/W3C-SVG-1.1/fonts-glyph-03-t.svg = IMAGE+TEXT
 WIN LINUX : svg/W3C-SVG-1.1/text-altglyph-01-b.svg = IMAGE+TEXT
 WIN LINUX : svg/batik/text/textEffect.svg = IMAGE+TEXT
 MAC : svg/batik/text/textEffect.svg = IMAGE
 WIN LINUX : svg/batik/text/textEffect3.svg = IMAGE+TEXT
 MAC : svg/batik/text/textEffect3.svg = IMAGE
 WIN LINUX : svg/batik/text/xmlSpace.svg = IMAGE+TEXT
 WIN : svg/custom/glyph-selection-lang-attribute.svg = IMAGE+TEXT
 WIN LINUX : svg/custom/svg-fonts-fallback.xhtml = IMAGE+TEXT
 WIN LINUX : svg/custom/svg-fonts-segmented.xhtml = IMAGE+TEXT
 WIN LINUX : svg/custom/svg-fonts-word-spacing.html = IMAGE+TEXT
 MAC : svg/custom/svg-fonts-word-spacing.html = IMAGE
 WIN LINUX : svg/text/text-altglyph-01-b.svg = IMAGE+TEXT
 MAC : svg/text/text-altglyph-01-b.svg = IMAGE
 WIN LINUX : svg/text/text-overflow-ellipsis-svgfont.html = IMAGE+TEXT
 WIN LINUX : svg/text/text-text-04-t.svg = IMAGE+TEXT
 MAC : svg/text/text-text-04-t.svg = IMAGE
 WIN LINUX : svg/text/text-text-05-t.svg = IMAGE+TEXT
 MAC : svg/text/text-text-05-t.svg = IMAGE
 WIN LINUX : svg/text/text-text-06-t.svg = IMAGE+TEXT
 MAC : svg/text/text-text-06-t.svg = IMAGE
 WIN LINUX : svg/wicd/test-rightsizing-b.xhtml = IMAGE+TEXT
 MAC : svg/wicd/test-rightsizing-b.xhtml = IMAGE
 WIN : svg/W3C-SVG-1.1/animate-elem-36-t.svg = IMAGE
 WIN MAC : svg/custom/svg-fonts-in-html.html = IMAGE
 WIN MAC : svg/custom/svg-fonts-with-no-element-reference.html = IMAGE
 WIN MAC : svg/foreignObject/text-tref-02-b.svg = IMAGE
 MAC : svg/W3C-SVG-1.1/pservers-grad-08-b.svg = IMAGE
Comment 1 Kenneth Russell 2011-06-21 11:43:33 PDT
Note that r89233 was rolled out yesterday due to crashes it introduced in http/tests/misc/acid3.html . However, assuming it will be checked in again with more fixes, these rebaselines will likely be needed again.
Comment 2 Ryosuke Niwa 2011-06-21 17:11:23 PDT
I removed these test expectations in http://trac.webkit.org/changeset/89395 for now because it was making finding other new passes harder and I didn't mark them as flaky.  We can always add them back easily.
Comment 3 Nikolas Zimmermann 2012-01-26 06:48:30 PST
Can this bug be closed? Whats its status? Can you comment Yuta?
Comment 4 Philip Rogers 2012-04-06 08:34:11 PDT
Created attachment 136027 [details]
Update of test expectations
Comment 5 Philip Rogers 2012-04-06 11:59:06 PDT
Created attachment 136046 [details]
Update to use chromium-linux instead of chromium-linux-x86
Comment 6 Stephen Chenney 2012-04-06 12:14:48 PDT
Comment on attachment 136046 [details]
Update to use chromium-linux instead of chromium-linux-x86

Clearing flags on attachment: 136046

Committed r113476: <http://trac.webkit.org/changeset/113476>
Comment 7 Stephen Chenney 2012-04-06 12:14:55 PDT
All reviewed patches have been landed.  Closing bug.